Bug 462120 - xenner service should be running by default or get started by virt-install
xenner service should be running by default or get started by virt-install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 15:16 EDT by Julian Sikorski
Modified: 2009-07-14 13:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:25:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Domain creation log (1.78 KB, text/plain)
2008-09-12 15:16 EDT, Julian Sikorski
no flags Details
Log file of an attempted install using virt-install (3.09 KB, text/plain)
2008-09-13 08:17 EDT, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2008-09-12 15:16:18 EDT
Created attachment 316610 [details]
Domain creation log

Description of problem:
I tried to install 20080912 rawhide inside Fedora 9 using kvm/xenner and paravirtualisation. Unfortunately, installation fails in the end:

Unable to complete install '<class 'libvirt.libvirtError'> internal error Timed out while reading monitor startup output
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 651, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 845, in start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 866, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 892, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Timed out while reading monitor startup output
'

Version-Release number of selected component (if applicable):
0.4.5-2

How reproducible:
always

Steps to Reproduce:
1. Run virt-manager
2. Select kvm, paravirt
3. Point to a mirror containing 20080912 rawhide
  
Actual results:
After downloading initrd-PAE, creating domain fails

Expected results:
Creating domain works correctly

Additional info:
Please let me know if you need additional information, I'm not sure what to provide.
Comment 1 Julian Sikorski 2008-09-13 08:17:09 EDT
Created attachment 316665 [details]
Log file of an attempted install using virt-install

Installing via virt-install does not seem to work either, log file attached. I used the following command line:

virt-install --os-type=linux --location=http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/development/x86_64/os/ --name=rawhide-paravirt --vcpus=1 --file=/var/lib/libvirt/images/rawhide-fullvirt.img --accelerate --ram=512 --paravirt
Comment 2 Daniel Berrange 2008-09-15 04:39:21 EDT

*** This bug has been marked as a duplicate of bug 454616 ***
Comment 3 Julian Sikorski 2008-10-16 17:33:38 EDT
Digging deeper, it seems that this bug is not really a duplicate, but a separate problem (albeit related). It is possible to go further, but xenner service is not running when it should be. Without xenner running, a similar error is displayed even with the latest packages.
Comment 4 Bug Zapper 2009-06-09 22:42:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:25:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.